## aetos 1.0.0~rc1

=== debian/changelog ===
aetos (1.0.0~rc1-1~bpo13+1) UNRELEASED; urgency=medium

  * Rebuilt by bop.

 -- Jenkins <jenkins@trixie-flamingo.debian.net>  Tue, 23 Sep 2025 08:52:02 +0000

aetos (1.0.0~rc1-1) unstable; urgency=medium

  * Initial release. (Closes: #1115937)

 -- Thomas Goirand <zigo@debian.org>  Mon, 22 Sep 2025 09:05:32 +0200
