## aetos 1.0.0

=== debian/changelog ===
aetos (1.0.0-1~bpo13+1) UNRELEASED; urgency=medium

  * Rebuilt by bop.

 -- Jenkins <jenkins@trixie-flamingo.debian.net>  Wed, 01 Oct 2025 22:31:26 +0000

aetos (1.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 01 Oct 2025 23:42:04 +0200
