=== debian/control ===
Source: aetos
Section: net
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 11),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 python3-keystonemiddleware,
 python3-lxml,
 python3-observabilityclient (>= 1.1.0),
 python3-openstackdocstheme <!nodoc>,
 python3-oslo.config,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.middleware,
 python3-oslo.policy,
 python3-oslo.utils,
 python3-oslotest,
 python3-paste,
 python3-pastedeploy,
 python3-pecan,
 python3-reno <!nodoc>,
 python3-sphinxcontrib-pecanwsme,
 python3-stestr,
 python3-testtools,
 python3-webtest,
 python3-wsme,
 subunit,
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/openstack-team/services/aetos
Vcs-Git: https://salsa.debian.org/openstack-team/services/aetos.git
Homepage: https://opendev.org/openstack/aetos

Package: aetos
Architecture: all
Depends:
 adduser,
 debconf,
 python3-keystoneclient,
 python3-keystonemiddleware,
 python3-lxml,
 python3-observabilityclient (>= 1.1.0),
 python3-openstackclient,
 python3-oslo.config,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.middleware,
 python3-oslo.policy,
 python3-oslo.utils,
 python3-paste,
 python3-pastedeploy,
 python3-pastescript,
 python3-pbr,
 python3-pecan,
 python3-wsme,
 q-text-as-data,
 uwsgi-plugin-python3,
 ${misc:Depends},
 ${python3:Depends},
Description: reverse-proxy for enforcing openstack multi-tenancy for Prometheus
 Aetos is a reverse-proxy, which when placed in front of Prometheus will
 enforce openstack multi-tenancy and keystone authentication for every
 Prometheus query. It integrates with OpenStack Telemetry (Ceilometer)
 components to control access to metrics, making sure each request is checked
 against tenant identity / role, so that Prometheus queries cannot bypass
 tenancy boundaries.

Package: aetos-doc
Architecture: all
Section: doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: reverse-proxy for enforcing openstack multi-tenancy for Prometheus - doc
 Aetos is a reverse-proxy, which when placed in front of Prometheus will
 enforce openstack multi-tenancy and keystone authentication for every
 Prometheus query. It integrates with OpenStack Telemetry (Ceilometer)
 components to control access to metrics, making sure each request is checked
 against tenant identity / role, so that Prometheus queries cannot bypass
 tenancy boundaries.
 .
 This package contains the documentation.
